%define oname   metaclass

Name:       ruby-%{oname}
Version:    0.0.4
Release:    %mkrel 3
Summary:    Adds a metaclass method to all Ruby objects
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/floehopper/metaclass
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Adds a metaclass method to all Ruby objects.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.4-3.mga8
+ Revision: 1499837
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.4-2.mga7
+ Revision: 1275151
- Mageia 7 Mass Rebuild

* Tue Jan 05 2016 pterjan <pterjan> 0.0.4-1.mga6
+ Revision: 919728
- Update to 0.0.4

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-10.mga5
+ Revision: 741836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.1-9.mga5
+ Revision: 688864
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.0.1-8.mga4
+ Revision: 562007
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.0.1-7.mga4
+ Revision: 561388
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.0.1-6.mga4
+ Revision: 535516
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.0.1-5.mga4
+ Revision: 482198
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.0.1-4.mga4
+ Revision: 480015
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.0.1-3.mga3
+ Revision: 396142
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.0.1-2.mga3
+ Revision: 381116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.0.1-1.mga3
+ Revision: 313375
- imported package ruby-metaclass

